# Umix ebuild for Gentoo
# Copyright (c) 2002 Sakari Lehtonen <sakari@ionstream.fi>

S=${WORKDIR}/${P}
DESCRIPTION="Program for adjusting soundcard volumes"
SRC_URI="http://www.ionstream.fi/sakari/umix/${P}.tar.gz"
HOMEPAGE="http://www.ionstream.fi/sakari/umix/"

DEPEND="virtual/glibc
	ncurses? ( >=sys-libs/ncurses-5.2 )
	gtk?     ( >=x11-libs/gtk+-2.0.0 )"

src_compile() {

	local myopts
	use ncurses || myopts="--disable-ncurses"
	use gtk     || myopts="${myopts} --disable-gtk"

	./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/man \
		--host=${CHOST} \
		${myopts} || die

	emake || die
}

src_install() {

	make DESTDIR=${D} install

	dodoc AUTHORS ChangeLog NEWS README TODO
}
