/*
 * plugin.h: 
 *
 * Copyright (C) 2002 Sakari Lehtonen <sakari@ionstream.fi>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef UMIX_PLUGIN_H
#define UMIX_PLUGIN_H

#include "umix_common.h"
#include <dlfcn.h>
#include <dirent.h>
#include <sys/types.h>

/* hmmhmm .. this is just to make sure that plugins are found */
#ifndef DEF_PLUGIN_DIR
  #define DEF_PLUGIN_DIR "/usr/lib/umix"
  #define EXTRA_PLUGIN_DIR "/usr/local/lib/umix"
#endif

/* types of plugins */
enum 
{
	UMIX_PLUGIN_MIXER,
	UMIX_PLUGIN_UI,
	UMIX_PLUGIN_UI_TEXT,
	UMIX_PLUGIN_UI_X,
};

/*
typedef struct plugin_info plugin_info;
struct plugin_info
{
	char name[TINYSTRLEN/2];
	char version[TINYSTRLEN/4];
	int type;
};
*/

int init_plugins(void);
void list_plugins(void);
void list_plugin_dirs(void);
void list_plugin_files(void);
void *load_plugin(const char *name, int type);
int add_plugin(const char *path, const char *basename);
int scan_plugin_dir(const char *dirname);
void add_plugin_dir(const char *dirname);
void *get_dyn_module_sym(void *handle, const char *name);

#endif /* UMIX_PLUGIN_H */
